package com.gyee.wisdom.dao.sql.alarm.repository;
import com.gyee.wisdom.dao.sql.alarm.Entity.AlertsnapEntity;
import com.gyee.wisdom.dao.sql.alarm.Entity.AlertsnapNewEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;


@Repository
public interface AlertsnapNewRepository extends JpaRepository<AlertsnapNewEntity, String>, JpaSpecificationExecutor {


    AlertsnapNewEntity findByWindturbineIdAndAlertValue(String windturbineId, int alertValue);
    AlertsnapNewEntity findByStationIdAndAlertValue(String stationId, int alertValue);
    AlertsnapNewEntity findByTestingpointKey(String testingpointkey);
    int countById(Long id);
}
